//
//  boardprint.h
//  fornax2_core
//
//  Created by Anders on 15/04/2019.
//  Copyright © 2019 Avividi. All rights reserved.
//

#ifndef boardprint_h
#define boardprint_h

#include "board/definitions.h"

char boardprint_getSymbolOfType(int inhabitant);
void boardprint_square(const Square sq);
void boardprint_move(move m);
void boardprint_debugmove(move m);
void boardprint_board(const Board b);
void boardprint_fen(const Board b);
void boardprint_bitboard(const bitboard64 bits);
void boardprint_printpv(const Board* b, move m, uint8_t depth);
void boardprint_printbest(move m);
#endif /* boardprint_h */
