//
//  eval_debug_print.h
//  fornax2_core
//
//  Created by Anders on 25/03/2020.
//  Copyright © 2020 Avividi. All rights reserved.
//

#ifndef eval_debug_print_h
#define eval_debug_print_h

#ifdef EVAL_DEBUG_PRINT
#define ED_START(isWhite) eval_debug_start(isWhite)
#define ED_ADD_WHITE_MG(topic, val) eval_debug_add_white_mg(topic, val)
#define ED_ADD_WHITE_EG(topic, val) eval_debug_add_white_eg(topic, val)
#define ED_ADD_WHITE(topic, val) eval_debug_add_white(topic, val)
#define ED_ADD_BLACK_MG(topic, val) eval_debug_add_black_mg(topic, val)
#define ED_ADD_BLACK_EG(topic, val) eval_debug_add_black_eg(topic, val)
#define ED_ADD_BLACK(topic, val) eval_debug_add_black(topic, val)
#define ED_ADD_DIFF_EG(topic, val) eval_debug_add_diff_eg(topic, val)
#define ED_ADD_DIFF_MG(topic, val) eval_debug_add_diff_mg(topic, val)
#define ED_ADD_DIFF(topic, val) eval_debug_add_diff(topic, val)
#define ED_END(board, total) eval_debug_end(board, total)
#else
#define ED_START(isWhite)
#define ED_ADD_WHITE_MG(topic, val) val
#define ED_ADD_WHITE_EG(topic, val) val
#define ED_ADD_WHITE(topic, val) val
#define ED_ADD_BLACK_MG(topic, val) val
#define ED_ADD_BLACK_EG(topic, val) val
#define ED_ADD_BLACK(topic, val) val
#define ED_ADD_DIFF_EG(topic, val) val
#define ED_ADD_DIFF_MG(topic, val) val
#define ED_ADD_DIFF(topic, val) val
#define ED_ADD_DIFF_REL(topic, val) val
#define ED_END(board, total)
#endif

void eval_debug_start(bool isWhite);
eval eval_debug_add_white_mg(const char* topic, eval val);
eval eval_debug_add_white_eg(const char* topic, eval val);
eval eval_debug_add_white(const char* topic, eval val);
eval eval_debug_add_black_mg(const char* topic, eval val);
eval eval_debug_add_black_eg(const char* topic, eval val);
eval eval_debug_add_black(const char* topic, eval val);
eval eval_debug_add_diff_mg(const char* topic, eval val);
eval eval_debug_add_diff_eg(const char* topic, eval val);
eval eval_debug_add_diff(const char* topic, eval val);
void eval_debug_end(const Board* board, eval total);
#endif /* eval_debug_print_h */


