//
//  perft.h
//  fornax2_core
//
//  Created by Anders on 30.06.2018.
//  Copyright © 2018 Avividi. All rights reserved.
//

#ifndef perft_h
#define perft_h

#include "../board/definitions.h"

long perft_simple(Board* board, uint8_t startDepth, bool printMoves);
long perft_threaded(Board* board, uint8_t depth, bool printMoves, int threadCount);
void perft_run(const Board* board, uint8_t startDepth, int threadCount);
#endif /* perft_h */
