//
//  move_piecetables.h
//  fornax2_core
//
//  Created by Anders on 22/04/2020.
//  Copyright © 2020 Avividi. All rights reserved.
//

#ifndef move_piecetables_h
#define move_piecetables_h

#define KINGS___MOVE_PIECETABLE_R8   0,   0,   0,   0,   0,   0,   0,   0
#define KINGS___MOVE_PIECETABLE_R7   0,   1,   1,   1,   1,   1,   1,   0
#define KINGS___MOVE_PIECETABLE_R6   0,   1,   2,   2,   2,   2,   1,   0
#define KINGS___MOVE_PIECETABLE_R5   0,   1,   2,   3,   3,   2,   1,   0
#define KINGS___MOVE_PIECETABLE_R4   0,   1,   2,   3,   3,   2,   1,   0
#define KINGS___MOVE_PIECETABLE_R3   0,   1,   1,   1,   1,   1,   1,   0
#define KINGS___MOVE_PIECETABLE_R2   0,   0,   0,   0,   0,   0,   0,   0
#define KINGS___MOVE_PIECETABLE_R1   0,   0,   1,   0,   0,   0,   1,   0

#define PAWNS___MOVE_PIECETABLE_R8   0,   0,   0,   0,   0,   0,   0,   0
#define PAWNS___MOVE_PIECETABLE_R7   3,   3,   3,   3,   3,   3,   3,   3
#define PAWNS___MOVE_PIECETABLE_R6   2,   2,   2,   2,   2,   2,   2,   2
#define PAWNS___MOVE_PIECETABLE_R5   1,   1,   1,   2,   2,   1,   1,   1
#define PAWNS___MOVE_PIECETABLE_R4   0,   0,   1,   1,   1,   0,   0,   0
#define PAWNS___MOVE_PIECETABLE_R3  -1,  -1,  -1,   0,   0,  -2,  -1,  -1
#define PAWNS___MOVE_PIECETABLE_R2   0,   0,   0,   0,   0,   0,   0,   0
#define PAWNS___MOVE_PIECETABLE_R1   0,   0,   0,   0,   0,   0,   0,   0

#define KNIGHTS_MOVE_PIECETABLE_R8   0,   0,   0,   0,   0,   0,   0,   0
#define KNIGHTS_MOVE_PIECETABLE_R7   0,   0,   0,   0,   0,   0,   0,   0
#define KNIGHTS_MOVE_PIECETABLE_R6   0,   0,   1,   1,   1,   1,   0,   0
#define KNIGHTS_MOVE_PIECETABLE_R5   0,   0,   1,   2,   2,   1,   0,   0
#define KNIGHTS_MOVE_PIECETABLE_R4   0,   0,   1,   2,   2,   1,   0,   0
#define KNIGHTS_MOVE_PIECETABLE_R3   0,   0,   1,   1,   1,   1,   0,   0
#define KNIGHTS_MOVE_PIECETABLE_R2   0,   0,   0,   0,   0,   0,   0,   0
#define KNIGHTS_MOVE_PIECETABLE_R1   0,   0,   0,   0,   0,   0,   0,   0

#define BISHOPS_MOVE_PIECETABLE_R8   0,   0,   0,   0,   0,   0,   0,   0
#define BISHOPS_MOVE_PIECETABLE_R7   0,   1,   0,   0,   0,   0,   1,   0
#define BISHOPS_MOVE_PIECETABLE_R6   0,   0,   2,   1,   1,   2,   0,   0
#define BISHOPS_MOVE_PIECETABLE_R5   0,   0,   1,   2,   2,   1,   0,   0
#define BISHOPS_MOVE_PIECETABLE_R4   0,   0,   1,   2,   2,   1,   0,   0
#define BISHOPS_MOVE_PIECETABLE_R3   0,   0,   2,   1,   1,   2,   0,   0
#define BISHOPS_MOVE_PIECETABLE_R2   0,   2,   0,   0,   0,   0,   2,   0
#define BISHOPS_MOVE_PIECETABLE_R1   0,   0,   0,   0,   0,   0,   0,   0

#define ROOKS___MOVE_PIECETABLE_R8   0,   0,   0,   0,   0,   0,   0,   0
#define ROOKS___MOVE_PIECETABLE_R7   0,   0,   0,   0,   0,   0,   0,   0
#define ROOKS___MOVE_PIECETABLE_R6   0,   0,   0,   0,   0,   0,   0,   0
#define ROOKS___MOVE_PIECETABLE_R5   0,   0,   0,   0,   0,   0,   0,   0
#define ROOKS___MOVE_PIECETABLE_R4   0,   0,   0,   0,   0,   0,   0,   0
#define ROOKS___MOVE_PIECETABLE_R3   0,   0,   0,   0,   0,   0,   0,   0
#define ROOKS___MOVE_PIECETABLE_R2   0,   0,   0,   0,   0,   0,   0,   0
#define ROOKS___MOVE_PIECETABLE_R1  -1,   0,   0,   1,   1,   0,   0,  -1

#define QUEENS__MOVE_PIECETABLE_R8   0,   0,   0,   0,   0,   0,   0,   0
#define QUEENS__MOVE_PIECETABLE_R7   0,   0,   0,   0,   0,   0,   0,   0
#define QUEENS__MOVE_PIECETABLE_R6   0,   0,   1,   1,   1,   1,   0,   0
#define QUEENS__MOVE_PIECETABLE_R5   0,   0,   1,   2,   2,   1,   0,   0
#define QUEENS__MOVE_PIECETABLE_R4   0,   0,   1,   2,   2,   1,   0,   0
#define QUEENS__MOVE_PIECETABLE_R3   0,   0,   1,   1,   1,   1,   0,   0
#define QUEENS__MOVE_PIECETABLE_R2   0,   0,   0,   0,   0,   0,   0,   0
#define QUEENS__MOVE_PIECETABLE_R1   0,   0,   0,   0,   0,   0,   0,   0

//#######################################################################

static const int8_t WHITE_MOVE_PIECETABLE[6][64] = {
   {
    KINGS___MOVE_PIECETABLE_R1,KINGS___MOVE_PIECETABLE_R2,KINGS___MOVE_PIECETABLE_R3,KINGS___MOVE_PIECETABLE_R4,
    KINGS___MOVE_PIECETABLE_R5,KINGS___MOVE_PIECETABLE_R6,KINGS___MOVE_PIECETABLE_R7,KINGS___MOVE_PIECETABLE_R8
  },
  {
    PAWNS___MOVE_PIECETABLE_R1,PAWNS___MOVE_PIECETABLE_R2,PAWNS___MOVE_PIECETABLE_R3,PAWNS___MOVE_PIECETABLE_R4,
    PAWNS___MOVE_PIECETABLE_R5,PAWNS___MOVE_PIECETABLE_R6,PAWNS___MOVE_PIECETABLE_R7,PAWNS___MOVE_PIECETABLE_R8
  },
  {
    KNIGHTS_MOVE_PIECETABLE_R1,KNIGHTS_MOVE_PIECETABLE_R2,KNIGHTS_MOVE_PIECETABLE_R3,KNIGHTS_MOVE_PIECETABLE_R4,
    KNIGHTS_MOVE_PIECETABLE_R5,KNIGHTS_MOVE_PIECETABLE_R6,KNIGHTS_MOVE_PIECETABLE_R7,KNIGHTS_MOVE_PIECETABLE_R8,
  },
  {
    BISHOPS_MOVE_PIECETABLE_R1,BISHOPS_MOVE_PIECETABLE_R2,BISHOPS_MOVE_PIECETABLE_R3,BISHOPS_MOVE_PIECETABLE_R4,
    BISHOPS_MOVE_PIECETABLE_R5,BISHOPS_MOVE_PIECETABLE_R6,BISHOPS_MOVE_PIECETABLE_R7,BISHOPS_MOVE_PIECETABLE_R8,
  },
  {
    ROOKS___MOVE_PIECETABLE_R1,ROOKS___MOVE_PIECETABLE_R2,ROOKS___MOVE_PIECETABLE_R3,ROOKS___MOVE_PIECETABLE_R4,
    ROOKS___MOVE_PIECETABLE_R5,ROOKS___MOVE_PIECETABLE_R6,ROOKS___MOVE_PIECETABLE_R7,ROOKS___MOVE_PIECETABLE_R8,
  },
  {
    QUEENS__MOVE_PIECETABLE_R1,QUEENS__MOVE_PIECETABLE_R2,QUEENS__MOVE_PIECETABLE_R3,QUEENS__MOVE_PIECETABLE_R4,
    QUEENS__MOVE_PIECETABLE_R5,QUEENS__MOVE_PIECETABLE_R6,QUEENS__MOVE_PIECETABLE_R7,QUEENS__MOVE_PIECETABLE_R8
  }
};


static const int8_t BLACK_MOVE_PIECETABLE[6][64] = {
  {
    KINGS___MOVE_PIECETABLE_R8,KINGS___MOVE_PIECETABLE_R7,KINGS___MOVE_PIECETABLE_R6,KINGS___MOVE_PIECETABLE_R5,
    KINGS___MOVE_PIECETABLE_R4,KINGS___MOVE_PIECETABLE_R3,KINGS___MOVE_PIECETABLE_R2,KINGS___MOVE_PIECETABLE_R1
  },
  {
    PAWNS___MOVE_PIECETABLE_R8,PAWNS___MOVE_PIECETABLE_R7,PAWNS___MOVE_PIECETABLE_R6,PAWNS___MOVE_PIECETABLE_R5,
    PAWNS___MOVE_PIECETABLE_R4,PAWNS___MOVE_PIECETABLE_R3,PAWNS___MOVE_PIECETABLE_R2,PAWNS___MOVE_PIECETABLE_R1
  },
  {
    KNIGHTS_MOVE_PIECETABLE_R8,KNIGHTS_MOVE_PIECETABLE_R7,KNIGHTS_MOVE_PIECETABLE_R6,KNIGHTS_MOVE_PIECETABLE_R5,
    KNIGHTS_MOVE_PIECETABLE_R4,KNIGHTS_MOVE_PIECETABLE_R3,KNIGHTS_MOVE_PIECETABLE_R2,KNIGHTS_MOVE_PIECETABLE_R1,
  },
  {
    BISHOPS_MOVE_PIECETABLE_R8,BISHOPS_MOVE_PIECETABLE_R7,BISHOPS_MOVE_PIECETABLE_R6,BISHOPS_MOVE_PIECETABLE_R5,
    BISHOPS_MOVE_PIECETABLE_R4,BISHOPS_MOVE_PIECETABLE_R3,BISHOPS_MOVE_PIECETABLE_R2,BISHOPS_MOVE_PIECETABLE_R1,
  },
  {
    ROOKS___MOVE_PIECETABLE_R8,ROOKS___MOVE_PIECETABLE_R7,ROOKS___MOVE_PIECETABLE_R6,ROOKS___MOVE_PIECETABLE_R5,
    ROOKS___MOVE_PIECETABLE_R4,ROOKS___MOVE_PIECETABLE_R3,ROOKS___MOVE_PIECETABLE_R2,ROOKS___MOVE_PIECETABLE_R1,
  },
  {
    QUEENS__MOVE_PIECETABLE_R8,QUEENS__MOVE_PIECETABLE_R7,QUEENS__MOVE_PIECETABLE_R6,QUEENS__MOVE_PIECETABLE_R5,
    QUEENS__MOVE_PIECETABLE_R4,QUEENS__MOVE_PIECETABLE_R3,QUEENS__MOVE_PIECETABLE_R2,QUEENS__MOVE_PIECETABLE_R1
  }
};

#endif /* move_piecetables_h */
