//
//  fen.h
//  fornax2_core
//
//  Created by Anders on 10/04/2019.
//  Copyright © 2019 Avividi. All rights reserved.
//

#ifndef fen_h
#define fen_h

#include "../board/definitions.h"

void fen_to_board_split(Board* board, char** parts, int partsSize);
void fen_to_board(Board* board, const char* fen);
void fen_to_fen(const Board b, char* dest);

#define FEN_TO_BOARD(name, fen) { 0 };\
BoardCopiedState aux_##name; \
name.copyState = &aux_##name; \
fen_to_board(&name, fen)

#endif /* fen_h */
