//
//  time_management.h
//  fornax2_core
//
//  Created by Anders on 05/04/2020.
//  Copyright © 2020 Avividi. All rights reserved.
//

#ifndef time_management_h
#define time_management_h

#include "../board/definitions.h"

#define TIME_MANAGEMENT_OVERHEAD_DEFAULT 0
#define TIME_MANAGEMENT_OVERHEAD_MAX 50000
#define TIME_MANAGEMENT_OVERHEAD_MIN 0


void time_management_parse_uci(const Board* board, char** tokens, int length);
void time_management_search(const Board* board, long remainingTime, long increment);
void time_management_set_overhead(long overhead);

void time_management_send_stopped(void);
bool time_management_check_stop(void);

#endif /* time_management_h */
